HadoopShims.KeyProviderKind (ORC Shims 1.6.6 API)
Date: 2021-01-13

org.apache.orc.impl

## Enum HadoopShims.KeyProviderKind

- java.lang.Object
- - java.lang.Enum<HadoopShims.KeyProviderKind>
  - - org.apache.orc.impl.HadoopShims.KeyProviderKind

- All Implemented Interfaces:
    Serializable, Comparable<HadoopShims.KeyProviderKind>
  Enclosing interface:
    HadoopShims

      public static enum HadoopShims.KeyProviderKind
      extends Enum<HadoopShims.KeyProviderKind>

  The known KeyProviders for column encryption. These are identical to OrcProto.KeyProviderKind.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AWS`
    `AZURE`
    `GCP`
    `HADOOP`
    `UNKNOWN`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static HadoopShims.KeyProviderKind` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static HadoopShims.KeyProviderKind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final HadoopShims.KeyProviderKind UNKNOWN

    - #### HADOOP

          public static final HadoopShims.KeyProviderKind HADOOP

    - #### AWS

          public static final HadoopShims.KeyProviderKind AWS

    - #### GCP

          public static final HadoopShims.KeyProviderKind GCP

    - #### AZURE

          public static final HadoopShims.KeyProviderKind AZURE

  - ### Method Detail

    - #### values

          public static HadoopShims.KeyProviderKind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HadoopShims.KeyProviderKind c : HadoopShims.KeyProviderKind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HadoopShims.KeyProviderKind valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

Copyright © 2013–2021 The Apache Software Foundation. All rights reserved.